summaryrefslogtreecommitdiff
path: root/curvetun/nacl_build.sh
diff options
context:
space:
mode:
authorDaniel Borkmann <dborkman@redhat.com>2013-03-17 00:41:39 +0100
committerDaniel Borkmann <dborkman@redhat.com>2013-03-17 00:41:39 +0100
commit6de434d3af54555bc53b93cca6f99de773142c37 (patch)
tree7901630e1d0678e5ce4f28ab19d0e824ce33fe8b /curvetun/nacl_build.sh
parent871fc7ed03db1b24f73e08679fd9347be1880d60 (diff)
nacl scripts: include common header and rename build_nacl.sh
Add a uniform header comment to the two scripts as present in other scripts in this repository as well. Also rename build_nacl.sh into nacl_build.sh to stay conform in naming. For this, also update all mentions of build_nacl.sh to nacl_build.sh. Signed-off-by: Daniel Borkmann <dborkman@redhat.com>
Diffstat (limited to 'curvetun/nacl_build.sh')
-rwxr-xr-xcurvetun/nacl_build.sh51
1 files changed, 51 insertions, 0 deletions
diff --git a/curvetun/nacl_build.sh b/curvetun/nacl_build.sh
new file mode 100755
index 0000000..df6027a
--- /dev/null
+++ b/curvetun/nacl_build.sh
@@ -0,0 +1,51 @@
+#!/bin/bash
+# -*- coding: utf-8 -*-
+#
+# nacl_build.sh -- NaCl library build script
+#
+# Copyright (C) 2011 Daniel Borkmann <borkmann@redhat.com>
+# Copyright (C) 2009-2011 Emmanuel Roullit <emmanuel@netsniff-ng.org>
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as
+# published by the Free Software Foundation.
+
+cc="gcc"
+nacl_dir="/tmp"
+nacl_version="nacl-20110221"
+nacl_suffix="tar.bz2"
+nacl_base_url="http://hyperelliptic.org/nacl"
+nacl_path="$nacl_dir/$nacl_version.$nacl_suffix"
+nacl_build_dir="$1"
+
+if test -z "$nacl_build_dir"; then
+ echo "Please input the path where NaCl should be build"
+ exit 1
+fi
+
+if ! test -d "$nacl_build_dir"; then
+ mkdir "$nacl_build_dir"
+fi
+
+wget -O "$nacl_path" "$nacl_base_url/$nacl_version.$nacl_suffix"
+tar xjf "$nacl_path" -C "$nacl_build_dir"
+
+$cc -Wall -O2 ./abiname.c -o ./abiname
+arch="`./abiname`"
+shorthostname=$(hostname | sed 's/\..*//' | tr -cd '[a-z][A-Z][0-9]')
+
+echo "Building NaCl for arch $arch on host $shorthostname (grab a coffee, this takes a while) ..."
+
+cd "$nacl_build_dir"/"$nacl_version"
+./do
+cd - > /dev/null
+
+nacl_lib_path="$nacl_build_dir/$nacl_version/build/$shorthostname/lib/$arch"
+nacl_include_path="$nacl_build_dir/$nacl_version/build/$shorthostname/include/$arch"
+
+echo "NaCl lib path $nacl_lib_path"
+echo "NaCl include path $nacl_include_path"
+
+./nacl_path.sh "$nacl_include_path" "$nacl_lib_path"
+
+echo "Done!"